import { __extends } from "tslib";
import { IgrToolAction } from "./igr-tool-action";
import { ToolActionCheckbox } from "./ToolActionCheckbox";
import { ensureBool } from "igniteui-react-core";
var IgrToolActionCheckbox = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgrToolActionCheckbox, _super);
    function IgrToolActionCheckbox(props) {
        return _super.call(this, props) || this;
    }
    IgrToolActionCheckbox.prototype.createImplementation = function () {
        return new ToolActionCheckbox();
    };
    Object.defineProperty(IgrToolActionCheckbox.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrToolActionCheckbox.prototype, "isChecked", {
        /**
         * Gets or sets if the tool action is checked.
        */
        get: function () {
            return this.i.e8;
        },
        set: function (v) {
            this.i.e8 = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    IgrToolActionCheckbox.prototype.fromInfo = function (info) {
        this.i.dt(info);
    };
    return IgrToolActionCheckbox;
}(IgrToolAction));
export { IgrToolActionCheckbox };
