import { IgrToolAction, IIgrToolActionProps } from "./igr-tool-action";
import { ToolActionIconButton } from "./ToolActionIconButton";
import { ToolActionInfo } from "igniteui-react-core";
export declare class IgrToolActionIconButton<P extends IIgrToolActionIconButtonProps = IIgrToolActionIconButtonProps> extends IgrToolAction<P> {
    protected createImplementation(): ToolActionIconButton;
    /**
                                 * @hidden
                                 */
    get i(): ToolActionIconButton;
    constructor(props: P);
    /**
     * Gets or sets how long it takes before the tooltip is displayed (in milliseconds).
    */
    get tooltipDelay(): number;
    set tooltipDelay(v: number);
    cleanUp(): void;
    openSubMenu(): void;
    closeSubmenu(): void;
    fromInfo(info: ToolActionInfo): void;
}
export interface IIgrToolActionIconButtonProps extends IIgrToolActionProps {
    /**
     * Gets or sets how long it takes before the tooltip is displayed (in milliseconds).
    */
    tooltipDelay?: number | string;
}
